# SurveyJS Form Library for Angular


<video src="https://github.com/surveyjs/survey-library/assets/22315929/b24a68bf-d703-4096-835b-752f5f610aa6"></video>


SurveyJS Form Library is a free and open-source MIT-licensed JavaScript form builder library that allows you to design dynamic, data-driven, multi-language survey forms and run them in your web applications.

> **NOTE**: This package contains a legacy Knockout-dependent version of SurveyJS Form Library for Angular.
> 
> In Angular v12+ applications, we recommend using a new [native implementation of SurveyJS Angular Form Library](https://www.npmjs.com/package/survey-angular-ui). For information on how to integrate it into your application, refer to the following tutorial: [Add a Survey to an Angular Application](https://surveyjs.io/form-library/documentation/get-started-angular).
>
> With earlier Angular versions, you can use this obsolete package. Refer to the following code examples on GitHub for more information:
> - [Add SurveyJS Form Library to an Angular v8&ndash;v11 Application](https://github.com/surveyjs/code-examples/tree/main/legacy-angular/form-library)
> - [Add Survey Creator to an Angular v8&ndash;v11 Application](https://github.com/surveyjs/code-examples/tree/main/legacy-angular/survey-creator)

## Resources

- [Website](https://surveyjs.io/)
- [Documentation](https://surveyjs.io/Documentation/Library)
- [Live Examples](https://surveyjs.io/form-library/examples/nps-question/angular)
- [What's New](https://surveyjs.io/WhatsNew)

## Build SurveyJS Form Library for Angular from Sources

Refer to instructions in the root README file: [Build the SurveyJS Form Library from Sources](https://github.com/surveyjs/survey-library#build-the-surveyjs-form-library-from-sources).

## Licensing

SurveyJS Form Library is distributed under the [MIT license](https://github.com/surveyjs/survey-library/blob/master/LICENSE).
